This endpoint is used to retrieve a description of the format you must use when sending your credentials to connect a particular LTL carrier. Since each carrier will have different credential requirements, use this endpoint to ensure you know what is required to connect successfully.
Each LTL carrier has one or more SCACs (Standard Carrier Alpha Code) used to uniquely identify that carrier. The SCAC for a carrier is referred to as carrier_id. To get the credential requirements for a particular carrier, you need to pass its SCAC as the carrier_code.
GET /v-beta/ltl/carriers/:carrier_code/credential_requirements
GET /v-beta/ltl/carriers/FXFE/credential_requirements HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__Example response:
{
"credential_requirements": [
{
"name": "account_number",
"title": "Carrier account number",
"type": "string"
},
{
"name": "key",
"title": "Authentication Key (Production) generated by the carrier",
"type": "string"
},
{
"name": "password",
"title": "The secret password associated with your Authentication Key",
"type": "string"
},
{
"name": "secret",
"title": "Spot Quote Authentication Key generated by the carrier used for volume pricing only",
"type": "string"
},
{
"name": "securitycode",
"title": "Your FedEx account number",
"type": "string"
},
{
"name": "username",
"title": "The associated meter number for your FedEx account number.",
"type": "string"
}
]
}